AppListMetaobjectEntries
GET
/apps/custom-data/metaobjects/{type}/entries
const url = 'https://your-store.myciqra.com/apps/custom-data/metaobjects/example/entries?skip=0&take=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://your-store.myciqra.com/apps/custom-data/metaobjects/example/entries?skip=0&take=50' \ --header 'Authorization: Bearer <token>'Required scope: read_metaobjects — an installation token without it receives 403.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”type
required
string
Query Parameters
Section titled “Query Parameters”skip
integer | string format: int32
take
integer | string format: int32
Responses
Section titled “Responses”OK
Media typeapplication/json
object
items
required
Array<object>
object
externalKey
required
null | string
fields
required
object
key
additional properties
handle
required
string
id
required
string format: uuid
publishedAt
required
null | string format: date-time
seoDescription
required
null | string
seoTitle
required
null | string
skip
required
integer | string format: int32
take
required
integer | string format: int32
total
required
integer | string format: int32
Examplegenerated
{ "items": [ { "externalKey": "example", "fields": { "additionalProperty": "example" }, "handle": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "publishedAt": "2026-04-15T12:00:00Z", "seoDescription": "example", "seoTitle": "example" } ], "skip": 1, "take": 1, "total": 1}Not Found